"""This folder contains pytorch implementations of matlab functions.
And should produce the same results as matlab.

Note: to enable GPU acceleration, all functions take batched tensors as inputs,
and return batched results.

"""
from .resize import imresize
from .functions import *
from .scfpyr_util import SCFpyr_PyTorch
from .padding import ExactPadding2d, exact_padding_2d, symm_pad


__all__ = [
    'imresize',
    'fspecial',
    'SCFpyr_PyTorch',
    'imfilter',
    'dct2d',
    'conv2d',
    'filter2',
    'fitweibull',
    'nancov',
    'nanmean',
    'im2col',
    'blockproc',
    'ExactPadding2d',
    'exact_padding_2d',
    'symm_pad',
]
